Page MenuHomePhabricator

Create basic/high-level Kibana (dashboard) documentation for users
Closed, ResolvedPublic

Description

Splitting as outcome of T127078: Play with Bitergia's Kabana UI (which might potential replace our current UI on korma.wmflabs.org) and meeting on 2016-04-08:

Kibana needs some basic, high-level introduction to its concepts ("Discover", "Visualize"), supposed workflows (what are the steps I'd have to perform to both gather and visualize certain data) and terms ("Kibana, Marvel, Sense, Timelion"; "index pattern"?).
It would help me (and other potential Kibana users) tremendously instead of wildly clicking around and trying to guess what to do next and what all those terms could mean. ;)

This is being worked on at https://www.mediawiki.org/wiki/Community_metrics#wikimedia.biterg.io


See Also: T145929: Create basic Kibana (dashboard) documentation for admins

Event Timeline

ori renamed this task from Create basic/high-level Kabana (dashboard) documentation to Create basic/high-level Kibana (dashboard) documentation.Apr 12 2016, 7:06 PM

I am tentatively removing this task from the Developer-Advocacy sprints. If you commit to work on it, please bring it back to the corresponding quarter. Thank you.

Aklapper claimed this task.Jul 14 2016, 9:52 AM
Aklapper added a subscriber: Dicortazar.

Stealing this task from @Dicortazar as it's a good exercise for everybody - me trying to understand and document the UI (that I've played with lately) and Bitergia to receive feedback where things might be bumpier / less self-explanatory than needed.

Going to create an initial wiki page in the next days.

Aklapper updated the task description. (Show Details)Jul 15 2016, 5:00 PM

Well, what I currently know and understand is on https://www.mediawiki.org/wiki/Community_metrics#dashboard.bitergia.com - it's describing the UI instead of "how can I achieve X" but it's a start.

Aklapper raised the priority of this task from Normal to High.Jul 23 2016, 2:26 PM
Aklapper raised the priority of this task from Normal to High.
Aklapper updated the task description. (Show Details)Aug 30 2016, 12:07 PM
Aklapper lowered the priority of this task from High to Normal.Sep 12 2016, 12:14 PM
Aklapper closed this task as Resolved.Sep 15 2016, 2:07 PM

https://www.mediawiki.org/w/index.php?title=Community_metrics&oldid=2239140#wikimedia.biterg.io

There are a few TODOs left in the text (marked as such) but we do have basic / high-level docs in place now for viewers which allow anybody to play with the existing site and understand its basics, and link to 3rd party docs for more info.

The last hour I extended the explanations and docs on filters; text is mostly based on Xen's documentation written by Lars.Kurth.

Hence considering this task resolved.
(Iterative followup work to happen.)

Qgil added a comment.Sep 15 2016, 2:17 PM

Thank you very much!

Qgil awarded a token.Sep 15 2016, 2:17 PM
Aklapper renamed this task from Create basic/high-level Kibana (dashboard) documentation to Create basic/high-level Kibana (dashboard) documentation for users.Sep 17 2016, 9:49 AM
Aklapper updated the task description. (Show Details)